Subject: Re: Umlaut in filename makes troubles

From: Øyvind A. Holm <[email-masked]>
Date: Tue, 1 Dec 2009 08:44:20 +0100

On 2009-12-01 08:15:08, [email-masked] wrote:
> I have problems with my repository under slackware vs. windows. I 
> created a repo in linux and every time I use it under msysgit, the 
> files containing umlauts in the filename are marked as deleted (and 
> vice versa).
>
> For instance: the repo perfectly synced under msysgit leads to:
>
> user@sauron:/media/disk-2$ git status |grep Auszug
> #       deleted:    "trunk/007_Literatur/Auszug aus Ergonomische 
> Untersuchung des Lenkgef\374hles.docx"
> #       "trunk/007_Literatur/Auszug aus Ergonomische Untersuchung des 
> Lenkgef\303\274hles.docx"
>
> in linux. But the file exists and is displayed correctly in the shell 
> or in dolphin (my filemanager under X):
>
> user@sauron:/media/disk-2$ ls trunk/007_Literatur/Auszug*
> trunk/007_Literatur/Auszug aus Ergonomische Untersuchung des 
> Lenkgefühles.docx
>
> Can you please give me a hint what to do?

Try to specify "utf8" as mount option under Linux. You can also try 
experimenting with the "nls" mount option, check out the mount(8) man 
page to see how it's used.

Additionally, I found that I need "shortname=mixed" when mounting USB 
memory cards. As filenames are case insensitive in Windowsworld and 
gadgets using vfat, Linux tend to treat them differently.

Regards,
Øyvind

+-| Øyvind A. Holm <[email-masked]> - N 60.39548° E 5.31735° |-+
| OpenPGP: 0xFB0CBEE894A506E5 - http://www.sunbase.org/pubkey.asc |
| Fingerprint: A006 05D6 E676 B319 55E2  E77E FB0C BEE8 94A5 06E5 |
+------------| 760e5d4a-de4c-11de-a982-90e6ba3022ac |-------------+